#ifndef SVG_H_INCLUDED
#define SVG_H_INCLUDED

#include <iostream>
#include <vector>
#include <string>

void svg_begin(double width, double height);
void svg_end();
void svg_text(double left, double baseline, const std::string& text);
void svg_rect(double x, double y, double width, double height, const std::string& stroke = "black", const std::string& fill = "red");
void show_histogram_svg(const std::vector<size_t>& bins);
#endif // SVG_H_INCLUDED
